#include<stdio.h>
int main()
{
	//tarife pointer
	double *a, *b, *c;
	//gereftane fazaye hafeze baraye pointer ha
	a = (double*)malloc(sizeof(double));
	b = (double*)malloc(sizeof(double));
	c = (double*)malloc(sizeof(double));

	//pardazesh barname
	printf ("3 adad ra be tartib vared konid : ");
	scanf("%lf %lf %lf", a, b, c);
	if(*a > *b && *a > *c)
		printf("bozorgtarin adad = %g\n", *a);
	else
	if(*b > *c)
		printf("bozorgtarin adad = %g\n", *b);
	else
		printf("bozorgtarin adad = %g\n", *c);

	//azad sazi fazaye hafeze baraye pointer ha
	free(a);
	free(b);
	free(c);

	getch();
}

